<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
    lt_include( PLOG_CLASS_PATH."plugins/hostblock/class/view/adminnewblogblockedhostview.class.php" );

    /**
     * Shows a form to add a new blocked content to the blog
     */
    class AdminNewBlogBlockedHostAction extends AdminAction 
	{

    	function AdminNewBlogBlockedHostAction( $actionInfo, $request )
        {
        	$this->AdminAction( $actionInfo, $request );

            $this->requirePermission( "manage_plugins" );            
        }

        function perform()
        {
        	$this->_view = new AdminNewBlogBlockedHostView( $this->_blogInfo );
        	
            $this->setCommonData();

            return true;
        }
    }
?>
